<?php

namespace App\ViewModels\Perfil\PerfilUpdateViewModel;
use App\Utils\Builder;
use App\Utils\ResponseException;
use Config\CustomRules;
use Exception;

class PerfilUpdateViewModelBuilder implements Builder
{
    protected $descricao;
    protected $permissao;

    /**
     * @param mixed $descricao
     * @return PerfilUpdateViewModelBuilder
     */
    public function setDescricao($descricao)
    {
        $this->descricao = $descricao;
        return $this;
    }

    /**
     * @param mixed $permissao
     * @return PerfilUpdateViewModelBuilder
     */
    public function setPermissao($permissao)
    {
        $this->permissao = $permissao;
        return $this;
    }

    public function build () {
        $perfil_view_model = new PerfilUpdateViewModel();
        $perfil_view_model->setDescricao($this->descricao);
        $perfil_view_model->setPermissao($this->permissao);

        return $perfil_view_model;
    }
}
